std::filesystem::recursive_directory_iterator(3)

NAME
std::filesystem::recursive_directory_iterator - Iterator type for recursively traversing a directory hierarchy.

SYNOPSIS

#include <filesystem>

  Public Types
typedef ptrdiff_t difference_type
typedef input_iterator_tag iterator_category
typedef const directory_entry * pointer
typedef const directory_entry & reference
typedef directory_entry value_type

  Public Member Functions
recursive_directory_iterator (const path &__p)
recursive_directory_iterator (const path &__p, directory_options __options)
recursive_directory_iterator (const path &__p, directory_options __options, error_code &__ec)
recursive_directory_iterator (const path &__p, error_code &__ec)
recursive_directory_iterator (const recursive_directory_iterator &)=default
recursive_directory_iterator (recursive_directory_iterator &&)=default
int depth () const noexcept
void disable_recursion_pending () noexcept
recursive_directory_iterator & increment (error_code &__ec)
const directory_entry & operator* () const noexcept
recursive_directory_iterator & operator++ ()
__directory_iterator_proxy operator++ (int)
const directory_entry * operator-> () const noexcept
recursive_directory_iterator & operator= (const recursive_directory_iterator &__rhs) noexcept
recursive_directory_iterator & operator= (recursive_directory_iterator &&__rhs) noexcept
bool operator== (default_sentinel_t) const noexcept
directory_options options () const noexcept
void pop ()
void pop (error_code &)
bool recursion_pending () const noexcept

  Friends
uintmax_t filesystem::remove_all (const path &)
uintmax_t filesystem::remove_all (const path &, error_code &)
bool operator== (const recursive_directory_iterator &__lhs, const recursive_directory_iterator &__rhs) noexcept

Detailed Description

Iterator type for recursively traversing a directory hierarchy.

Since
    C++17

Author

Generated automatically by Doxygen for libstdc++ from the source code.